using System.Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataSet ds = new DataSet();
        ds.ReadXml(MapPath("books.xml"));
        Label1.Text = ds.Tables[0].TableName;
        GridView1.DataSource = ds;
        GridView1.DataMember = ds.Tables[0].TableName;

        Label2.Text = ds.Tables[1].TableName;
        GridView2.DataSource = ds;
        GridView2.DataMember = ds.Tables[1].TableName;

        Label3.Text = ds.Tables[2].TableName;
        GridView3.DataSource = ds;
        GridView3.DataMember = ds.Tables[2].TableName;
        DataBind();

    }
    protected void GridView1_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
}
